/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wiki;

import javax.portlet.ActionRequest;
import javax.portlet.RenderRequest;

/**@author <a href="mailto:tomasz.szymanski@jboss.com">Tomasz Szymanski</a><br />
 * <p></p>
 * 
 */
public abstract class Credentials {

	/**Gets userName
	 * @return userName of current user.
	 */
	public abstract String getName();
	
	/**Checks if any user is logged in.
	 * @return true if anyone is logged in, false othwerwise.
	 */
	public abstract boolean isLoggedIn();
	
	/**Checks if logged in user is Admin.
	 * @return true if user is admin, false othwerwise.
	 */
	public abstract boolean isAdmin();
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return getName();
	}
	
	/**Sets RenderRequest for current credentials.
	 * @param rReq RenderRequest to set.
	 */
	public abstract void setRenderRequest(RenderRequest rReq);
	
	/**Sets ActionRequest for current credentials.
	 * @param rReq ActionRequest to set.
	 */
	public abstract void setActionRequest(ActionRequest rReq);
 }
