/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wiki;


import javax.portlet.ActionRequest;
import javax.portlet.RenderRequest;

import org.jboss.portlet.JBossActionRequest;
import org.jboss.portlet.JBossRenderRequest;

public class JBossPortalCredentials extends Credentials {
	
	private final String adminRoleName = "Admin";
	private String name = null;
	private boolean logedIn = false;
	private boolean isAdmin = false;
	
	public JBossPortalCredentials() {
		
	}
	
	public void setRenderRequest(RenderRequest rReq) {
		if (rReq instanceof JBossRenderRequest) {
			JBossRenderRequest jrReq = (JBossRenderRequest)rReq;
			
			if (jrReq.getUser() != null) {
				name = jrReq.getUser().getUserName();
				logedIn = true;
				isAdmin = jrReq.getUser().getRoleNames().contains(adminRoleName);
			}
			else {
				name = "Unknown";
			}

		}
		else {
			System.err.println("You are not running JBoss Portal");
		}
	}
	
	public void setActionRequest(ActionRequest rReq) {
		if (rReq instanceof JBossActionRequest) {
			JBossActionRequest jrReq = (JBossActionRequest)rReq;
			
			if (jrReq.getUser() != null) {
				name = jrReq.getUser().getUserName();
				logedIn = true;
				isAdmin = jrReq.getUser().getRoleNames().contains(adminRoleName);
			}

		}
		else {
			System.err.println("You are not running JBoss Portal");
		}
	}
	
	public String getName() {
		return name;
	}
	public boolean isAdmin() {
		return isAdmin;
	}
	public boolean isLoggedIn() {
		return logedIn;
	}

}
