/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wiki;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Date;

public class WikiAttachment {
	private Date date;

	private String user;

	private long size;

	private File file;

	private String name;
	
	private int version;

	public WikiAttachment(String name, Date date, String user, long size,
			File file, int version) {
		this.date = date;
		this.user = user;
		this.size = size;
		this.file = file;
		this.name = name;
		this.version = version;
	}

	public Date getDate() {
		return date;
	}

	public String getName() {
		return name;
	}

	public long getSize() {
		return size;
	}

	public String getUser() {
		return user;
	}

	public InputStream getInputStream() {
		try {
			return new FileInputStream(file);
		} catch (IOException e) {
			System.err.println("Couldn't open file: " + file.getName());
			e.printStackTrace();
			return null;
		}
	}

	public File getFile() {
		return file;
	}
	
	public int getVersion() {
		return version;
	}
}
