/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wiki.plugins;

import java.util.Map;

import org.jboss.wiki.WikiPage;
import org.jboss.wiki.WikiPlugin;
import org.jboss.wiki.WikiSession;

public class FindResultPlugin extends WikiPlugin {

	@Override
	public WikiPage process(WikiPage wikiPage, WikiSession wikiSession) {
		WikiPage newPage = null;

		try {
			newPage = (WikiPage) wikiPage.clone();
		} catch (CloneNotSupportedException cl) {
			System.err.println(cl);
		}

		Map<String, Integer> pages = (Map<String, Integer>) wikiSession
				.getAttribute("findResult");

		StringBuilder pageStr = new StringBuilder("!!!__Find results:__\n\\\\\n\\\\\n").append("|__Page__|__Score__\n");

		if (pages.size() == 0) {
			pageStr.append("''NONE FOUND''");
		} else {
			for (String p : pages.keySet()) {
				pageStr.append("|[").append(p).append("]|").append(pages.get(p)).append("\n");
			}
		}

		newPage.setPageContent(pageStr.toString());

		return newPage;
	}

	@Override
	public void init() {
		// TODO Auto-generated method stub

	}

}
