/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wiki.plugins;

import java.util.HashMap;

import org.jboss.wiki.WikiContext;
import org.jboss.wiki.WikiInsidePlugin;
import org.jboss.wiki.WikiPage;
import org.jboss.wiki.WikiSession;

public class InsertPageInsidePlugin extends WikiInsidePlugin {

	@Override
	public String process(WikiPage wikiPage, WikiSession wikiSession,
			HashMap<String, String> attributes) {
		String ret = wikiPage.getContent();
		
		String page = attributes.get("page");
		
		if (page == null) {
			ret = "<i>There is no 'page' attribute which is mandatory for InsertPage plugin</i>";
		}
		else {
			WikiContext wikiContext = new WikiContext(null, wikiEngine.getWikiType("htmlClear"), wikiSession);
			
			WikiPage about = wikiEngine.getByName(page, wikiContext);
			
			ret = HTMLTranslatorParts.pagePartRegexStart+about.getContent()+HTMLTranslatorParts.pagePartRegexEnd;
		}
		
		return ret;
	}

	@Override
	public void init() {
		// TODO Auto-generated method stub

	}

}
